Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1179139 - Compiling programs on koji often fails if they rely on autogen
Compiling programs on koji often fails if they rely on autogen
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: autogen (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-06 05:03 EST by Nikos Mavrogiannopoulos
Modified: 2017-08-08 07:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 07:51:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nikos Mavrogiannopoulos 2015-01-06 05:03:26 EST
Description of problem:
Compiling programs on koji often fails if they rely on autogen. 

How reproducible:
Submit ocserv package for building to koji machines.

Actual results:
https://kojipkgs.fedoraproject.org//work/tasks/8901/8538901/build.log

Note the error:
In file included from ocpasswd.c:34:0:
./ocpasswd-args.h:1:1: error: unterminated comment
 /*   -*- buffer-read-only: t -*- vi: set ro:
 ^

The auto-generated file is incorrect, as it has an unterminated comment which makes the compilation fail.

Expected results:
Builds should complete all the time.


Additional info:
I have not managed to reproduce that locally.
Comment 1 Nikos Mavrogiannopoulos 2015-01-06 05:38:38 EST
I forgot to link to a successful compilation of the same source that failed above.
http://koji.fedoraproject.org/koji/buildinfo?buildID=602281
Comment 2 Miroslav Lichvar 2015-01-09 11:35:19 EST
To me it looks like a problem with parallel building, the compilation started before the ocpasswd-args.h file was fully generated. Building without smp_flags should fix that.

Bruce, do you think it would make sense to modify autogen to write to temporary files and rename them when they are complete?
Comment 3 Miroslav Lichvar 2015-01-09 11:39:19 EST
The --disable-dependency-tracking option used in the Fedora %configure macro could be related to this too, I guess.
Comment 4 Bruce Korb 2015-01-12 11:21:47 EST
(In reply to Miroslav Lichvar from comment #2)
> Bruce, do you think it would make sense to modify autogen to write to
> temporary files and rename them when they are complete?

It make sense, but it would not be very easy at all.
I go through a bunch of somersaults to be able to spin the
dependency tracking output and I'd need to create some similar
logic to do all the renames upon completion.  I think it
is far, far and away easier to just wait for autogen to finish
rather than just waiting for autogen to start.  The dependency
output is not created until the very end.  If you were to use
the generated dependencies, you would be depending on a stamp
file (sentinel) that is the last thing modified before completion.
The "stamp-opts" file created for autogen itself:

> $ cat stamp-opts
> # Makefile dependency file created by:          -*- Mode: Makefile -*-
> # /u/ROOT/usr/local/bin/autogen
> # with the following command line arguments:
> #   -L/u/bkorb/ag/ag/autoopts/tpl \
> #   -MFstamp-opts \
> #   -MP \
> #   opts.def
> AUTOGEN_stamp_opts_TList = \
>         opts.h \
>         opts.c
> 
> AUTOGEN_stamp_opts_SList = \
>         opts.def \
>         /u/bkorb/ag/ag/autoopts/tpl/options.tpl \
>         /u/bkorb/ag/ag/autoopts/tpl/optlib.tlib \
>         /usr/local/lib64/autogen/tpl-config.tlib \
>         /u/bkorb/ag/ag/autoopts/tpl/gpl.lic \
>         /u/bkorb/ag/ag/autoopts/tpl/opthead.tlib \
>         /u/bkorb/ag/ag/autoopts/tpl/optcode.tlib \
>         /u/bkorb/ag/ag/autoopts/tpl/optmain.tlib
> stamp-opts : $(AUTOGEN_stamp_opts_SList)
> 
> $(AUTOGEN_stamp_opts_TList) : stamp-opts
>         @:
> 
> .PHONY : clean-stamp-opts
> 
> clean-stamp-opts :
>         rm -f  $(AUTOGEN_stamp_opts_TList)
>         @-touch -t 199912312359 stamp-opts
Comment 5 Fedora End Of Life 2015-11-04 09:12:20 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-12-02 01:59:23 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Jan Kurik 2016-02-24 08:18:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 8 Fedora End Of Life 2017-07-25 14:46:36 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2017-08-08 07:51:53 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.